Issue 378 conflict misery

Title conflict misery
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, markstos, simonmar, simonpj, thorkilnaur, tommy
Assigned To
Topics Conflicts

Created on 2007-01-02.22:19:27 by simonpj, last changed 2009-10-23.23:36:31 by admin.

msg1378 (view) Author: simonpj Date: 2007-01-02.22:19:26
So I upgraded to 1.0.7 (release)

The infinite loop happens exactly the same.  Do you want me to tar up the repo for you?

msg1379 (view) Author: kowey Date: 2007-01-03.00:40:17
Note: I'm moving half of issue377 on to this bug, hence the reply to...

> Darcs has just gone into an infinite loop, when doing a 'pull' of a
> few dozen patches from GHC's HEAD repository into a partial repository
> on my laptop.

I don't understand darcs's internal mechanics well enough to give
informed comment, but this sounds like another manifestation of the
conflict misery problem

The typical manifestation is the infamous doppelganger patch problem
where two large identical patches [i.e. conflicting ones] can send darcs
into a tizzy of exponential search.  If this is the case, it is not an
inifinite loop; though for intents and purposes, darcs isn't coming
back.  This problem is our core preoccupation, priority #1, and has been
for quite some time.  There's a good bit of work going on laying down
the foundation to what might be its solution.  It doesn't help you right
now, but it might be of some small comfort that the likes of David, Ian
and friends are on it.

David, please correct me if I've said anything silly.

On Tue, Jan 02, 2007 at 22:19:27 +0000, Simon Peyton-Jones wrote:
> So I upgraded to 1.0.7 (release)
> The infinite loop happens exactly the same.  Do you want me to tar up the repo for you?

I won't have time to look at it, but if you want, I can file it for you
as a (large) test case to be tried if we ever solve the conflict misery
msg2347 (view) Author: markstos Date: 2008-01-07.04:13:27
Isn't the perceived "infinite loop" considered "resolved in unstable" now? There
is really nothing else specific in this ticket to respond to.
msg2371 (view) Author: droundy Date: 2008-01-08.21:09:51
Yes, I'd predict that this should be addressed by a switch to the --darcs-2
format.  So far, tests confirm this suspicion, so I'll mark this as


P.S. Thanks, Mark, for doing this bug triage!
Date User Action Args
2007-01-02 22:19:27simonpjcreate
2007-01-03 00:40:26koweysetstatus: unread -> unknown
nosy: droundy, tommy, beschmi, kowey, simonmar, simonpj
messages: + msg1379
2007-03-09 08:29:40koweysetnosy: droundy, tommy, beschmi, kowey, simonmar, simonpj
title: Loop still in 1.07 -> conflict misery
2007-03-12 15:18:27koweylinkissue402 superseder
2007-07-23 20:57:06koweysettopic: + Conflicts
nosy: droundy, tommy, beschmi, kowey, simonmar, simonpj
2008-01-07 04:13:27markstossetnosy: + markstos
messages: + msg2347
2008-01-08 21:10:03droundysetstatus: unknown -> resolved-in-unstable
messages: + msg2371
2008-09-04 21:30:09adminsetstatus: resolved-in-unstable -> resolved
nosy: + dagit
2009-08-06 17:45:56adminsetnosy: + jast, Serware, dmitry.kurochkin, darcs-devel, zooko, mornfall, simon, thorkilnaur, - droundy, simonmar, simonpj
2009-08-06 20:41:37adminsetnosy: - beschmi
2009-08-10 22:00:15adminsetnosy: + simonmar, simonpj, - darcs-devel, zooko, jast, Serware, mornfall
2009-08-10 23:58:47adminsetnosy: - dagit
2009-08-25 17:57:44adminsetnosy: + darcs-devel, - simon
2009-08-27 14:05:58adminsetnosy: tommy, kowey, markstos, darcs-devel, simonmar, simonpj, thorkilnaur, dmitry.kurochkin
2009-10-23 22:38:02adminsetnosy: + marlowsd, - simonmar
2009-10-23 23:36:31adminsetnosy: + simonmar, - marlowsd